# This playbook
# 1. modifies the clients to match the dependecies of BackupPC
#   1.1 add key to /root/authorized_keys
#   1.2 modify firewall
#   1.2 allow ssh-login as root
#   1.2 create script to backup the database
#
# Run this playbook after changing a hosts 'quadrant_backup' configuration

#                           FIXME: except those where no_sshd is True
- hosts: quadrant_backup_clients
  roles:
  - quadrant_backuppc_client_config
  - { role: rear, when: "quadrant_backup.rear_install | default(False)" }
